net.corda.node.services.api

## Interface CheckpointStorage

- All Known Implementing Classes:
    DBCheckpointStorage

      public CheckpointStorage

  Thread-safe storage of fiber checkpoints.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCheckpoint(Checkpoint checkpoint)` Add a new checkpoint to the store.
    `void` | `forEach(kotlin.jvm.functions.Function1<? super net.corda.node.services.api.Checkpoint,java.lang.Boolean> block)` Allows the caller to process safely in a thread safe fashion the set of all checkpoints. The checkpoints are only valid during the lifetime of a single call to the block, to allow memory management. Return false from the block to terminate further iteration.
    `void` | `removeCheckpoint(Checkpoint checkpoint)` Remove existing checkpoint from the store. It is an error to attempt to remove a checkpoint which doesn't exist in the store. Doing so will throw an IllegalArgumentException.

- - ### Method Detail

    - #### addCheckpoint

          void addCheckpoint(Checkpoint checkpoint)

      Add a new checkpoint to the store.

    - #### removeCheckpoint

          void removeCheckpoint(Checkpoint checkpoint)

      Remove existing checkpoint from the store. It is an error to attempt to remove a checkpoint which doesn't exist in the store. Doing so will throw an IllegalArgumentException.

      See Also:
        IllegalArgumentException

    - #### forEach

          void forEach(kotlin.jvm.functions.Function1<? super net.corda.node.services.api.Checkpoint,java.lang.Boolean> block)

      Allows the caller to process safely in a thread safe fashion the set of all checkpoints. The checkpoints are only valid during the lifetime of a single call to the block, to allow memory management. Return false from the block to terminate further iteration.